Security Enhanced Linux Reference Policy

# Layer: apps

## Module: vmware

Interfaces Templates

### Description:

VMWare Workstation virtual machines.

### Interfaces:

vmware_append_log( domain )

##### Summary

Append vmware log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vmware_append_system_config( domain )

##### Summary

Append vmware system configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vmware_exec_guest( domain )

##### Summary

Execute vmware guest executables

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vmware_exec_host( domain )

##### Summary

Execute vmware host executables

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vmware_read_system_config( domain )

##### Summary

Read vmware system configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

vmware_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for vmware.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return